=== debian/changelog ===
consensuscore2 (0.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #829510)
    (based on git ce50b30 - 2016-06-29)

 -- Afif Elghraoui <afif@debian.org>  Sun, 03 Jul 2016 16:43:26 -0700
