=== debian/control ===
Source: consensuscore2
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>=9),
	dh-python,
	dh-exec,
	cmake,
	swig,
	libboost-dev,
# Python2
	python-all,
	python-all-dev,
	python-setuptools,
	python-numpy (>= 1.6.0),
# Python3
	python3-all,
	python3-all-dev,
	python3-setuptools,
	python3-numpy (>= 1.6.0),
Standards-Version: 3.9.8
Homepage: https://github.com/PacificBiosciences/ConsensusCore2
Vcs-Git: https://anonscm.debian.org/git/debian-med/consensuscore2.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/consensuscore2.git

Package: libconsensuscore2-dev
Section: libdevel
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: generate consensus sequences for PacBio data -- development files
 ConsensusCore2 embodies core C++ routines underlying the Arrow HMM
 algorithm for PacBio multi-sequence consensus.  Arrow is the successor
 to the Quiver model---a CRF model that was embodied in the
 ConsensusCore C++ library. Compared to Quiver, the Arrow model is more
 statistically principled and easier and more robust to train.
 .
 This package installs the headers and static library.

Package: python-consensuscore2
Section: python
Architecture: any-amd64 any-i386
Depends:
	${python:Depends},
	${shlibs:Depends},
	${misc:Depends},
Description: generate consensus sequences for PacBio data -- Python 2
 ConsensusCore2 embodies core C++ routines underlying the Arrow HMM
 algorithm for PacBio multi-sequence consensus.  Arrow is the successor
 to the Quiver model---a CRF model that was embodied in the
 ConsensusCore C++ library. Compared to Quiver, the Arrow model is more
 statistically principled and easier and more robust to train.
 .
 This package installs the library for Python 2.

Package: python3-consensuscore2
Section: python
Architecture: any-amd64 any-i386
Depends:
	${python3:Depends},
	${shlibs:Depends},
	${misc:Depends},
Description: generate consensus sequences for PacBio data -- Python 3
 ConsensusCore2 embodies core C++ routines underlying the Arrow HMM
 algorithm for PacBio multi-sequence consensus.  Arrow is the successor
 to the Quiver model---a CRF model that was embodied in the
 ConsensusCore C++ library. Compared to Quiver, the Arrow model is more
 statistically principled and easier and more robust to train.
 .
 This package installs the library for Python 3.
