## consensuscore2 0.13.0+20160719

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ########################################################################
 
 cmake_policy(SET CMP0048 NEW)  # lets us set the version in project()
-project(PacBioConsensus VERSION 0.12.0 LANGUAGES CXX C)
+project(PacBioConsensus VERSION 0.13.0 LANGUAGES CXX C)
 cmake_minimum_required(VERSION 3.0)
 
 # set magic variable
