=== debian/changelog ===
consensuscore2 (0.13.0+20160719-1) unstable; urgency=medium

  * Imported Upstream version 0.13.0+20160719
  * Drop obsolete patch
  * Allow setup.py to work with both Python 2.x and 3.x
    (Closes: #829622)

 -- Afif Elghraoui <afif@debian.org>  Sun, 24 Jul 2016 00:13:58 -0700
