=== debian/control ===
--- 
+++ 
@@ -14,11 +14,13 @@
 	python-all,
 	python-all-dev,
 	python-setuptools,
+	python-six,
 	python-numpy (>= 1.6.0),
 # Python3
 	python3-all,
 	python3-all-dev,
 	python3-setuptools,
+	python3-six,
 	python3-numpy (>= 1.6.0),
 Standards-Version: 3.9.8
 Homepage: https://github.com/PacificBiosciences/ConsensusCore2
