=== debian/watch ===
version=4

# Upstream does not tag releases.
# Their Git history has to be manually inspected for milestone commits.
